#include "TextEditorModel.h"

TextEditorModel::TextEditorModel()
    : mDocument(PlainTextDocument::Create())
{

}

std::unique_ptr<TextEditorModel> TextEditorModel::Create()
{
    return std::make_unique<TextEditorModel>();
}

PlainTextDocument* TextEditorModel::GetDocument() const
{
    return mDocument.get();
}
